Create a generic message

Uploads a generic document and creates a message.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

The call sends the primary document of the message to the server using a raw binary format (application/octet-stream). You can also submit the data as a stream that is formatted as a base64-encoded ASCII text. In this case, the HTTP Content-Type header must be set to application/base64.

The document must be sent as the request body.

The message data is not validated at this stage, which means that the message validation status is always set to unknown. The call also informs the server of whether more data is expected or not and then updates the message status. If no more documents will be added, the call sets the status of the message to received.Otherwise, the message remains open and the message status is notset

⚠️

This upload is meant for generic documents (for example, images) and non-standard documents (for example, documents that cannot be validated). For standard business documents, use the POST /messages/create-business-transaction method.

The sender and the receiver must agree on the message envelope parameters, such as ServiceType, Service, and Action, there is not automatic lookup of business parties.



Query Params
uuid
required

The identifier of the message in the format of a valid Universally unique identifier (GUID).

string
required

The ISO identifier of the receiving party, preceded by the identifier type.
The format is {identifierType}:{identifier}, for example, 0196:xxxxxxyyyy.

string
required

A descriptor of the service.
Can refer to the business profile of the document.

In that case, it has the format of the Unique Resource Name (URN) of the profile, typically together with the corresponding business transaction group, for example, urn:www.cenbii.eu:profile:bii04:ver1.0##CENBII-1.0.

The parameter is used along with the action parameter to control document processing.

string

The type of service.
Used by ebXML Messaging Service (ebMS) specification.

string
required

The name of the transaction group indicating the action that should be performed on the data, for example, SubmitInvoice or CorrectWithCredit.

string

The identifier of the conversation.
Used as a correlation identifier between different documents in the same business context, for example, between a credit note that was issued based on an invoice and that invoice.

If not provided, it is generated automatically.
In that case, it includes the date when the message was sent, a random token, and the ISO identifier of the sender.

string

The value should correspond to the document number or contain another suitable reference to the message, for example, the invoice number.

string

Used for specifying information relevant to the document.
Can be set to any value, for example, the invoice amount or a special reference value.

boolean
required

Signals if the current document is the last document that the message is supposed to contain.
If that is true, the processing starts immediately.

string
required

The name of the document.
The value must be unique in the context of the message.

string
required

The media type (MIME type) of the document.
For XML documents, the media type is text/xml.
This is used for display and processing control.

string

The encoding used for displaying text documents.
For XML documents, examples include utf-8 and iso-8859-1.

string

The namespace of the document.
The parameter is informative and might be used for XML documents, where it corresponds to the namespace of the XML document.

boolean

Whether the document should be embedded into the xml.

services
array of strings

A list of services that the user specifies for additional message processing.

services
Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

Language
Credentials
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json
application/xml